API Reference

Embeddings Endpoint

Generates vector embeddings representing the input text. Ideal for vector databases, semantic search, and RAG retrieval pipelines.


Endpoint URL

POSThttps://api.cortiqa.co/api/v1/embeddings

Request Parameters

ParameterTypeRequiredDescription
modelstringYesID of the model to use, e.g. text-embedding-3-small.
inputstring | arrayYesThe text string or array of strings to embed.
dimensionsintegerNoThe number of dimensions the resulting output embeddings should have (default: 1536).

cURL Example

Terminal
curl https://api.cortiqa.co/api/v1/embeddings \
  -H "Authorization: Bearer sk-cortiqa-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "text-embedding-3-small",
    "input": "Cortiqa ultra-fast LPU inference"
  }'

Response Format

Response
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [
        -0.0069292834,
        -0.005336422,
        -0.024047505,
        0.008920194,
        ...
      ]
    }
  ],
  "model": "text-embedding-3-small",
  "usage": {
    "prompt_tokens": 7,
    "total_tokens": 7
  }
}
Was this page helpful?